%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Matlab Routine to generate ROC curves
%%%
%%%   Inputs:
%%%           threshold   := threshold applied to f, f >= thresholdold, prediction = 1; ow, prediction = -1, vector
%%%           y           := predictive probabilities 
%%%           truth       := true labels for the genes in the network
%%%   Outputs:
%%%           plot of recall vs threshold curves 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function roc_plot(threshold, y, truth)

for i = 1 : length( threshold )
    [tp(i), fp(i), tn(i), fn(i)] = count( threshold(i), y, truth );
    %recall(i, 1) = tp(i)/(tp(i) + fn(i));
end;

hold on;
plot(1-tn./(tn+fp), tp./(tp+fn),  '-rs', 'MarkerSize', 5)
xlabel('Threshold')
ylabel('Recall: TP/(TP+FN)')
set(h,'Interpreter','none')
hold off;